
# 设置云端结构化自定义日志时间
您可以开启"自定义日志时间"，使用自定义日志内容的时间作为日志搜索页面日志内容的时间。关闭"自定义日志时间"后，则使用日志采集时间作为日志搜索页面日志内容的时间。
#### 开启自定义日志时间
1. 登录[云日志服务控制台](https://console.huaweicloud.com/lts/?#/cts/manager/groups)，进入"日志管理"页面。
2. 单击目标日志组或日志流名称，进入日志流详情页面。
3. 在"日志搜索"页面，单击右上角的日志设置，在弹出页面中，选择"云端结构化解析"，详细请参考[设置日志云端结构化解析](https://support.huaweicloud.com/usermanual-lts/lts_0823.html)。
4. 配置完成后，开启自定义日志时间开关![](https://support.huaweicloud.com/usermanual-lts/zh-cn_image_0000001533269109.png)，配置如下参数。
   
   切换自定义日志时间开关时，可能会导致日志搜索界面在切换时间点附近出现时间偏差，请勿频繁切换自定义日志时间开关。
   表1参数配置表 
   | 参数      | 说明                                                           | 示例                  |
   |:---|:---|:---|
   | 字段key   | 已提取字段的名称。单击下拉框选择已提取的字段，该字段为string或long类型。                    | test                |
   | 字段value | 已提取的字段value，选择字段key后，将自动填充。                                  | 2022-07-19 12:12:00 |
   | 时间格式    | 请参考[常见日志时间格式]。 | yyyy-MM-dd HH:mm:ss |
   | 操作      | 单击"校验"，提示"时间格式和字段value匹配成功"则表示校验成功。                          | -                   |
      
   
   
 
 #### 常见日志时间格式
常见日志时间格式如下[表2]。
默认情况下，云日志服务LTS中的日志时间戳精确到秒，因此时间格式只需配置到秒，无需配置毫秒、微秒等信息。
 表2时间格式 
| 时间格式                     | 说明                          | 示例                       |
|:---|:---|:---|
| EEE                      | 星期的缩写。                      | Fri                      |
| EEEE                     | 星期的全称。                      | Friday                   |
| MMM                      | 月份的缩写。                      | Jan                      |
| MMMM                     | 月份的全称。                      | January                  |
| dd                       | 每月第几天，十进制，范围为01\~31。        | 07, 31                   |
| HH                       | 小时，24小时制。                   | 22                       |
| hh                       | 小时，12小时制。                   | 11                       |
| MM                       | 月份，十进制，范围为01\~12。           | 08                       |
| mm                       | 分钟，十进制，范围为00\~59。           | 59                       |
| a                        | AM或PM。                      | AM、PM                    |
| hh:mm:ss a               | 12小时制的时间组合。                 | 11:59:59 AM              |
| HH:mm                    | 小时和分钟组合。                    | 23:59                    |
| ss                       | 秒数，十进制，范围为00\~59。           | 59                       |
| yy                       | 年份，十进制，不带世纪，范围为00\~99。      | 04、98                    |
| yyyy                     | 年份，十进制。                     | 2004、1998                |
| d                        | 每月第几天，十进制，范围为1\~31。         | 7、31                     |
| DDD                      | 一年中的天数，十进制，范围为001\~366。     | 365                      |
| u                        | 星期几，十进制，范围为1\~7，1表示周一。      | 2                        |
| w                        | 每年的第几周，星期天是一周的开始，范围为00\~53。 | 23                       |
| W                        | 每月的第几周，范围为0\~5。             | 2                        |
| U                        | 星期几，十进制，范围为0\~6，0代表周日。      | 5                        |
| EEE MMM dd HH:mm:ss yyyy | 标准的日期和时间。                   | Tue Nov 20 14:12:58 2020 |
| EEE MMM dd yyyy          | 标准的日期，不带时间。                 | Tue Nov 20 2020          |
| HH:mm:ss                 | 标准的时间，不带日期。                 | 11:59:59                 |
| %s                       | Unix时间戳。                    | 147618725                |
   
#### 示例
常见的时间标准、示例及对应的时间表达式如下[表3]。
 表3示例 
| 示例                             | 时间表达式                       | 时间标准    |
|:---|:---|:---|
| 2022-07-14T19:57:36+08:00      | yyyy-MM-dd'T'HH:mm:ssXXX    | 自定义     |
| 1548752136                     | %s                          | 自定义     |
| 27/Jan/2022:15:56:44           | dd/MMM/yyyy:HH:mm:ss        | 自定义     |
| 2022-08-15 17:53:23+08         | yyyy-MM-dd HH:mm:ssX        | 自定义     |
| 2022-08-05T08:24:15.536+0000   | yyyy-MM-dd'T'HH:mm:ss.SSSZ  | 自定义     |
| 2022-08-20T10:04:03.204000Z    | yyyy-MM-dd'T'HH:mm:ss.SSSZ  | 自定义     |
| 2022-08-22T06:52:08Z           | yyyy-MM-dd'T'HH:mm:ssZ      | 自定义     |
| 2022-07-24T10:06:41.000        | yyyy-MM-dd'T'HH:mm:ss.SSS   | 自定义     |
| Monday, 02-Jan-06 15:04:05 MST | EEEE, dd-MMM-yy HH:mm:ss Z  | RFC850  |
| Mon, 02 Jan 2006 15:04:05 MST  | EEE, dd MMM yyyy HH:mm:ss Z | RFC1123 |
| 02 Jan 06 15:04 MST            | dd MMM yy HH:mm Z           | RFC822  |
| 02 Jan 06 15:04 -0700          | dd MMM yy HH:mm Z           | RFC822Z |
| 2023-01-02T15:04:05Z07:00      | yyyy-MM-dd'T'HH:mm:ss Z     | RFC3339 |
| 2022-12-11 15:05:07            | yyyy-MM-dd HH:mm:ss         | 自定义     |
   
